package com.ht.ui;

import javafx.beans.property.BooleanProperty;
import javafx.beans.property.SimpleBooleanProperty;

public enum GlobalSettings {
	INSTANCE;
	
	private BooleanProperty showAlarmProperty = new SimpleBooleanProperty(true);
	
	private BooleanProperty showBlinkingProperty = new SimpleBooleanProperty(true);
	private BooleanProperty showNormalBlinkingProperty = new SimpleBooleanProperty(true);
	private BooleanProperty showFillBlinkingProperty = new SimpleBooleanProperty(true);
	private BooleanProperty showStrokeBlinkingProperty = new SimpleBooleanProperty(true);
	
//	public void setShowBlinkingProperty(BooleanProperty value) {
//		this.showBlinkingProperty = value;
//	}
//	
	
	public BooleanProperty showNormalBlinkingProperty() {
		return showNormalBlinkingProperty;
	}
	
	public BooleanProperty showFillBlinkingProperty() {
		return showFillBlinkingProperty;
	}
	
	public BooleanProperty showStrokeBlinkingProperty() {
		return showStrokeBlinkingProperty;
	}
	
	public BooleanProperty showBlinkingProperty() {
		return showBlinkingProperty;
	}
	
//	public void setShowAlarmProperty(BooleanProperty value) {
//		this.showAlarmProperty = value;
//	}
//	
	public BooleanProperty showAlarmProperty() {
		return showAlarmProperty;
	}
}
